ONVIF::Analytics::Types::Include(3)

NAME
ONVIF::Analytics::Types::Include

DESCRIPTION
Perl data type class for the XML Schema defined complexType Include from the namespace http://www.w3.org/2004/08/xop/include.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::Include
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the "attr()" method.

attr() returns an object of the class ONVIF::Analytics::Types::Include::_Include::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   href

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::anyURI.

AUTHOR
Generated by SOAP::WSDL